Subject: Re: [Bug 42809] New: kernel panic when receiving an ipsec packet

From: Niccolò Belli <[email-masked]>
Date: Thu, 23 Feb 2012 01:59:46 +0100

Hi,
The bug is still present in latest 3.2.7 vanilla kernel. I wasted the 
whole day debugging that damn thing and I finally discovered the root cause.
The problem is with my Traverse Solos multi-port ADSL2+ PCI card[1] 
(which has open source drivers included in the kernel) when using RFC 
2684 routed.
I have two adsl lines, the first one connected using RFC 2684 routed, 
the second one using PPPoA.
If I create a vpn toward the PPPoA line it works flawlessly, while if I 
create a vpn toward the RFC 2684 routed line the whole system hangs in a 
kernel panic (with both 2.6.32.54 and 3.2.7).
I really don't know how to fix it and I need to setup that damn ipsec vpn :(

This is the bug on bugzilla.kernel.org:
https://bugzilla.kernel.org/show_bug.cgi?id=42809

Niccolò

[1]http://www.traverse.com.au/productview.php?product_id=116